# ``twisted`.`python`.`lockfile``

module documentation
(source)

Filesystem-based interprocess mutex.

Class | `FilesystemLock` | A mutex.
Function | `isLocked` | Determine if the lock of the given name is held or not.
Function | `kill` | Undocumented
Function | `readlink` | Read the contents of `filename`. See the above comment block as to why this is needed.
Function | `rmlink` | Undocumented
Function | `symlink` | Write a file at `filename` with the contents of `value`. See the above comment block as to why this is needed.
Function | `unique` | Undocumented
Constant | `ERROR_ACCESS_DENIED` | Undocumented
Constant | `ERROR_INVALID_PARAMETER` | Undocumented
Variable | `_windows` | Undocumented

def isLocked(name): (source)
Determine if the lock of the given name is held or not.

Parameters
name:`str` | The filesystem path to the lock to test
Returns
`bool` | True if the lock is held, False otherwise.

def kill(pid, signal): (source)

Undocumented

def readlink(filename): (source)
Read the contents of `filename`. See the above comment block as to why this is needed.
def rmlink(filename): (source)

Undocumented

def symlink(value, filename): (source)
Write a file at `filename` with the contents of `value`. See the above comment block as to why this is needed.
def unique(): (source)

Undocumented

ERROR_ACCESS_DENIED: `int` = (source)

Undocumented

Value

    5

ERROR_INVALID_PARAMETER: `int` = (source)

Undocumented

Value

    87

_windows: `bool` = (source)

Undocumented